Skip to content

Get all appointment types

Request

Security
bearer
Query
titlestringrequired

The title of the appointment type

Example:title=1 Filling - Returning
pagenumber, >= 0

Page number (0-based)

Default:0
Example:page=0
pageSizenumber, [ 1 .. 100 ]

Number of items per page

Default:10
Example:pageSize=10
curl -i -X GET \
  'https://docs.axiomera.com/_mock/apis/heydonto/openapi/appointment-type?title=1%20Filling%20-%20Returning&page=0&pageSize=10' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

List of appointment types

Bodyapplication/json
Array [
titlestringrequired

The title of the appointment type

Example:"1 Filling - Returning"
isEnabledboolean

Indicates if the appointment type is enabled

Example:true
idnumberrequired

The unique ID of the appointment type

Example:123
createdAtstringrequired

The date and time the appointment type was created

Example:"2021-08-01T00:00:00.000Z"
updatedAtstringrequired

The date and time the appointment type was last updated

Example:"2021-08-01T00:00:00.000Z"
]
Response
[ { "title": "1 Filling - Returning", "isEnabled": true, "id": 123, "createdAt": "2021-08-01T00:00:00.000Z", "updatedAt": "2021-08-01T00:00:00.000Z" } ]